# org.apache.sysds.runtime.controlprogram.federated

## Classes

- ExecutionContextMap
- FederatedData
- FederatedLocalData
- FederatedRange
- FederatedRequest
- FederatedResponse
- FederatedUDF
- FederatedWorker
- FederatedWorkerHandler
- FederationMap
- FederationUtils

## Enums

- FederatedRequest.RequestType
- FederatedResponse.ResponseType
- FederationMap.FPartitioning
- FederationMap.FReplication
- FederationMap.FType

## Exceptions

- FederatedWorkerHandlerException